## lxqt-menu-data 1.4.0

=== debian/changelog ===
lxqt-menu-data (1.4.0-0ubuntu1) noble; urgency=medium

  * Initial release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 05 Nov 2023 17:36:36 +0200

## lxqt-menu-data 1.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lxqt-menu-data)

include(GNUInstallDirs)

set(LXQTBT_MINIMUM_VERSION "0.13.0")

find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

# Version
set(LXQT_MENU_DATA_MAJOR_VERSION 1)
set(LXQT_MENU_DATA_MINOR_VERSION 4)
set(LXQT_MENU_DATA_PATCH_VERSION 1)
set(LXQT_MENU_DATA_VERSION ${LXQT_MENU_DATA_MAJOR_VERSION}.${LXQT_MENU_DATA_MINOR_VERSION}.${LXQT_MENU_DATA_PATCH_VERSION})

include(LXQtConfigVars)
include(LXQtPreventInSourceBuilds)
include(LXQtTranslate)

include(CMakePackageConfigHelpers)

set(LXQT_MENU_DATA_CMAKE_NAME lxqt-menu-data)

configure_package_config_file(
    "${PROJECT_SOURCE_DIR}/cmake/${LXQT_MENU_DATA_CMAKE_NAME}-config.cmake.in"
    "${CMAKE_BINARY_DIR}/${LXQT_MENU_DATA_CMAKE_NAME}-config.cmake"
    INSTALL_DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${LXQT_MENU_DATA_CMAKE_NAME}"
)

write_basic_package_version_file(
    "${CMAKE_BINARY_DIR}/${LXQT_MENU_DATA_CMAKE_NAME}-config-version.cmake"
    VERSION ${LXQT_MENU_DATA_VERSION}
    COMPATIBILITY AnyNewerVersion
    ARCH_INDEPENDENT
)

install(FILES
    "${CMAKE_BINARY_DIR}/${LXQT_MENU_DATA_CMAKE_NAME}-config.cmake"
    "${CMAKE_BINARY_DIR}/${LXQT_MENU_DATA_CMAKE_NAME}-config-version.cmake"
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${LXQT_MENU_DATA_CMAKE_NAME}"
    COMPONENT Devel
)

add_subdirectory(menu)

=== menu/CMakeLists.txt ===
file(GLOB DIRECTORY_FILES_IN desktop-directories/*.directory.in)

# Translations **********************************
lxqt_translate_desktop(DIRECTORY_FILES
    SOURCES
        ${DIRECTORY_FILES_IN}
    USE_YAML
)
add_custom_target(desktop_directories_files ALL DEPENDS ${DIRECTORY_FILES})
#************************************************

install(FILES
    ${DIRECTORY_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/desktop-directories"
    COMPONENT Runtime
)

install(FILES
    lxqt-applications.menu
    lxqt-applications-compact.menu
    lxqt-applications-simple.menu
    lxqt-applications-fm.menu
    lxqt-config.menu
    DESTINATION "${LXQT_ETC_XDG_DIR}/menus"
    COMPONENT Runtime
)

=== debian/changelog ===
lxqt-menu-data (1.4.1-0ubuntu4) noble; urgency=medium

  * Just went a little too hard on the s/X-Leave/Leave/, now things work.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 14 Nov 2023 16:13:59 -0600

lxqt-menu-data (1.4.1-0ubuntu3) noble; urgency=medium

  * Instead of saying X-Leave, say Leave.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 13 Nov 2023 17:28:47 -0600

lxqt-menu-data (1.4.1-0ubuntu2) noble; urgency=medium

  * Add Breaks/Replaces to ensure smooth upgrades

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Mon, 13 Nov 2023 13:48:45 -0600

lxqt-menu-data (1.4.1-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Fix minor copyright issue.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 10 Nov 2023 10:56:30 -0600

=== debian/control ===
Source: lxqt-menu-data
Section: libs
Priority: optional
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Rules-Requires-Root: no
Build-Depends: cmake, debhelper-compat (= 13), lxqt-build-tools (>= 0.13.0)
Standards-Version: 4.6.2
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-menu-data-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-menu-data-packaging.git
Homepage: https://github.com/lxqt/lxqt-menu-data

Package: lxqt-menu-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: lxqt-panel (<< 1.4.0),
        lxqt-config (<< 1.4.0),
        pcmanfm-qt (<< 1.4.0)
Replaces: lxqt-panel (<< 1.4.0),
          lxqt-config (<< 1.4.0),
          pcmanfm-qt (<< 1.4.0)
Description: Freedesktop.org compliant menu files for LXQt
 This package contains Freedesktop.org compliant menu files for LXQt Panel,
 Configuration Center and PCManFM-Qt/libfm-qt.

## lxqt-menu-data 2.0.0

=== debian/changelog ===
lxqt-menu-data (2.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Bump build deps.
  * Update copyright file.
  * Bump Standards-Version to 4.7.0, no changes necessary.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:01:25 -0500

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
 Rules-Requires-Root: no
-Build-Depends: cmake, debhelper-compat (= 13), lxqt-build-tools (>= 0.13.0)
-Standards-Version: 4.6.2
+Build-Depends: cmake, debhelper-compat (= 13), lxqt-build-tools (>= 2.0.0)
+Standards-Version: 4.7.0
 Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-menu-data-packaging
 Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-menu-data-packaging.git
 Homepage: https://github.com/lxqt/lxqt-menu-data

## lxqt-menu-data 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
 # CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
 # CMakeLists.txt file even before calling the project() command.
 # The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
@@ -8,14 +8,14 @@
 
 include(GNUInstallDirs)
 
-set(LXQTBT_MINIMUM_VERSION "0.13.0")
+set(LXQTBT_MINIMUM_VERSION "2.1.0")
 
-find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
+find_package(lxqt2-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
 
 # Version
-set(LXQT_MENU_DATA_MAJOR_VERSION 1)
-set(LXQT_MENU_DATA_MINOR_VERSION 4)
-set(LXQT_MENU_DATA_PATCH_VERSION 1)
+set(LXQT_MENU_DATA_MAJOR_VERSION 2)
+set(LXQT_MENU_DATA_MINOR_VERSION 1)
+set(LXQT_MENU_DATA_PATCH_VERSION 0)
 set(LXQT_MENU_DATA_VERSION ${LXQT_MENU_DATA_MAJOR_VERSION}.${LXQT_MENU_DATA_MINOR_VERSION}.${LXQT_MENU_DATA_PATCH_VERSION})
 
 include(LXQtConfigVars)

=== menu/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,6 @@
 install(FILES
     lxqt-applications.menu
     lxqt-applications-compact.menu
-    lxqt-applications-simple.menu
     lxqt-applications-fm.menu
     lxqt-config.menu
     DESTINATION "${LXQT_ETC_XDG_DIR}/menus"

=== debian/changelog ===
lxqt-menu-data (2.1.0-0ubuntu3) plucky; urgency=medium

  * Update Standards-Version to 4.7.1, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 16:07:39 -0600

lxqt-menu-data (2.1.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for lxqt-build-tools C++17 -> C++20.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Jan 2025 03:56:40 -0600

lxqt-menu-data (2.1.0-0ubuntu1) plucky; urgency=medium

  * New upstream release.
    - Bump build dependencies.
    - Refresh patch.
  * Make the package Lintian-clean.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Nov 2024 15:32:39 -0600

=== debian/control ===
Source: lxqt-menu-data
Section: libs
Priority: optional
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Rules-Requires-Root: no
Build-Depends: cmake, debhelper-compat (= 13), lxqt-build-tools (>= 2.1.0)
Standards-Version: 4.7.1
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-menu-data-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-menu-data-packaging.git
Homepage: https://github.com/lxqt/lxqt-menu-data

Package: lxqt-menu-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: lxqt-config (<< 1.4.0), lxqt-panel (<< 1.4.0), pcmanfm-qt (<< 1.4.0)
Replaces: lxqt-config (<< 1.4.0), lxqt-panel (<< 1.4.0), pcmanfm-qt (<< 1.4.0)
Description: Freedesktop.org compliant menu files for LXQt
 This package contains Freedesktop.org compliant menu files for LXQt Panel,
 Configuration Center and PCManFM-Qt/libfm-qt.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8

%:
	dh ${@} --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## lxqt-menu-data 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,13 +8,13 @@
 
 include(GNUInstallDirs)
 
-set(LXQTBT_MINIMUM_VERSION "2.1.0")
+set(LXQTBT_MINIMUM_VERSION "2.2.0")
 
 find_package(lxqt2-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
 
 # Version
 set(LXQT_MENU_DATA_MAJOR_VERSION 2)
-set(LXQT_MENU_DATA_MINOR_VERSION 1)
+set(LXQT_MENU_DATA_MINOR_VERSION 2)
 set(LXQT_MENU_DATA_PATCH_VERSION 0)
 set(LXQT_MENU_DATA_VERSION ${LXQT_MENU_DATA_MAJOR_VERSION}.${LXQT_MENU_DATA_MINOR_VERSION}.${LXQT_MENU_DATA_PATCH_VERSION})

=== debian/changelog ===
lxqt-menu-data (2.2.0-1) unstable; urgency=medium

  * Migrate to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 12 Aug 2025 23:11:58 +0800

lxqt-menu-data (2.2.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.2.0
  * debian/copyright: added myself.
  * debian/control: build-deps on lxqt-build-tools (>= 2.2.0~).
  * debian/control: bump to Standards-version to 4.7.2.
  * debian/control: added myself.

 -- Macy Lin <macy@debconf.org>  Mon, 04 Aug 2025 01:06:59 +0200

lxqt-menu-data (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 02 Dec 2024 08:05:10 +0800

lxqt-menu-data (2.0.0-1) unstable; urgency=medium

  [ Severus Septimius ]
  * New upstream version 2.0.0
  * debian/control: bump Standards-Version to 4.7.0, no changes needed.
  * debian/control: bump build-deps on lxqt-build-tools (>= 2.0.0~).
  * debian/control: Add Build-Dep on qt6-tools-dev.
  * debian/changelog: Update changelog

  [ Andrew Lee (李健秋) ]
  * Run wrap-and-sort.
  * debian/copyright: add copyright notice for S. 7.
  * debian/copyright: update.
  * debian/control: add myself in uploaders.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 28 Jul 2024 04:21:38 +0200

lxqt-menu-data (1.4.1-2) unstable; urgency=medium

  * Merge duplicated copyright.
  * Add missing Breaks+Replaces. (Closes: #1059595)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 30 Dec 2023 02:15:58 +0800

lxqt-menu-data (1.4.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1057806)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 09 Dec 2023 02:33:44 +0800

=== debian/control ===
Source: lxqt-menu-data
Section: libs
Priority: optional
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Macy Lin <macy@debconf.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               lxqt-build-tools (>= 2.2.0~),
               qt6-tools-dev
Standards-Version: 4.7.2
Homepage: https://github.com/lxqt/lxqt-menu-data
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-menu-data
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-menu-data.git

Package: lxqt-menu-data
Architecture: all
Multi-Arch: foreign
Breaks: lxqt-config (<< 1.4), lxqt-panel (<< 1.4)
Replaces: lxqt-config (<< 1.4), lxqt-panel (<< 1.4)
Depends: ${misc:Depends}
Description: menu files for LXQt Panel, Configuration Center and PCManFM-Qt/libfm-qt
 Freedesktop.org compliant menu files for LXQt Panel, Configuration
 Center and PCManFM-Qt/libfm-qt.

## lxqt-menu-data 2.3.0

=== debian/changelog ===
lxqt-menu-data (2.3.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/watch: Upgrade to version 5
  * New upstream version 2.3.0
  * Release 2.3.0-1

  [ Andrew Lee (李健秋) ]
  * debian/control: build-deps on lxqt-build-tools (>= 2.3.0~).
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 17 Nov 2025 07:00:40 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Macy Lin <macy@debconf.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               lxqt-build-tools (>= 2.2.0~),
+               lxqt-build-tools (>= 2.3.0~),
                qt6-tools-dev
 Standards-Version: 4.7.2
 Homepage: https://github.com/lxqt/lxqt-menu-data
